Bug 828022 - [abrt] gimp-2.6.12-1.fc16: __GI___libc_malloc: Process /usr/lib64/gimp/2.0/plug-ins/warp was killed by signal 6 (SIGABRT)
[abrt] gimp-2.6.12-1.fc16: __GI___libc_malloc: Process /usr/lib64/gimp/2.0/pl...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:ff397339818ef6983741d037f02...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 22:58 EDT by Miguel González
Modified: 2012-11-13 08:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-13 08:06:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (18.08 KB, text/plain)
2012-06-03 22:58 EDT, Miguel González
no flags Details
File: coredump (4.68 MB, text/plain)
2012-06-03 23:00 EDT, Miguel González
no flags Details
File: maps (34.37 KB, text/plain)
2012-06-03 23:00 EDT, Miguel González
no flags Details
File: dso_list (7.82 KB, text/plain)
2012-06-03 23:00 EDT, Miguel González
no flags Details

  None (edit)
Description Miguel González 2012-06-03 22:58:50 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/lib64/gimp/2.0/plug-ins/warp -gimp 12 10 -run 0
crash_function: __GI___libc_malloc
executable:     /usr/lib64/gimp/2.0/plug-ins/warp
kernel:         3.3.7-1.fc16.x86_64
pid:            6170
pwd:            /home/Miguel
reason:         Process /usr/lib64/gimp/2.0/plug-ins/warp was killed by signal 6 (SIGABRT)
time:           dom 03 jun 2012 19:02:43 CLT
uid:            1000
username:       Miguel
var_log_messages: Jun  3 19:02:44 miguel-fedora abrt[6171]: Saved core dump of pid 6170 (/usr/lib64/gimp/2.0/plug-ins/warp) to /var/spool/abrt/ccpp-2012-06-03-19:02:43-6170 (4907008 bytes)

backtrace:      Text file, 18512 bytes
dso_list:       Text file, 8006 bytes
maps:           Text file, 35198 bytes

build_ids:
:82cca0d5b06a649072a966dc4f05aded63d736bc
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:fd8a00c88eb1fd6872e45001f9ed4e5c6172995e
:578e66700318d8cec8e5f03778c434743a55e153
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:6cded60dd119fb8b8aa41b264e12931cb2c7b67f
:9efd824bf587def50099e2ae657a5cce012fa658
:83ecebde12fbdca06b42acb8020b6bd3add804ea
:a638ccc3535e307dfbe8338df04ee414b42a606c
:3a2c00058f6bc91272c8846d553d3834fab0f3c2
:56e7097869adc48f833e439f2c4333bec7182f9f
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:124bfd663f5587288e6e0da8497fb4153469e657
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:6ba9409fb9f58785e255d94fc533fbf1d1fe35fd
:f0d50e3af2dfee021a327fb85a993a2312a98145
:7cd0d4e2bcbe35abc239cddcc166837286155767
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:8b0f0f32d4400b2bf7632c55f013226297f44d17
:6788b943089846e98f7dc9cdb5dca63924909b25
:d2524189671cfa48435734ab4ec530e642d7b928
:12ebe599358398f2c1a5294bb2dd387545474b65
:aaf62304b0fc10611d35b4f56005479d4c58868d
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:163b323da65b708418226eb5fa8b057c731d1475
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:0911ea7c180d733724f89037b8e8a34e64024aec
:400444fb368f79b54959b083f449a1497bf71c13
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:6a7541a2ec34589cc35300d8fc86d7f640b8ce42
:4953d1f613914126bccceb3cb96386647ffba9df
:1e0de72c7f10f33e0ee489a9a32c4e4f01902580
:4c842320387ff7f6f91b7842b223c16518be909f
:f1f7d985d1eec22e23bda87ccd7866ceabaf4930
:1c6a95451ee19617be5abea3d121f0226d21ddda
:f8f4d8e260ee8f3b262936920270ace01b2da537
:58803db420709341d8e6a713b18e54a6e1824272
:75eaece6e0d1e075520cdfad5c398fdab4370846
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:b1eabdd6f67f63acd5e36164337202a692fedfc3
:be507c791e34415e8f42f0e6030c889b2895cf9a
:60697eea33ff2b30fa3f4d268f8a1c4c1dbbe129
:07470201df55a5254027d05fa4dc509b10f2986a
:0d039828591f6fe108db1d5458ca340cbfc4ff6d
:14063d4a97bae5e96c07a1a7c0e6ca5c982839f3
:3bbe4d98714c66cda2944cd39900eea5d348df18
:f9aa72f20a1a7465d733b6abe82a861b96bb0fd6
:90b78c18055b6228ced3c41d1bd37eaf01b96bb1
:719a85c49c612de86619fed98146f316432aee92
:feb0e5f69ad33c6273b56e2258af75eddfa51d72
:e982a67c98e50c7c68039aec0859bc4dfc896270
:3437fbc1b9876f2d55c8c9beffbda021a61b1e61
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:fc684ef0fc723dcb68a88799b8fb98e68e5f7441
:d2c602af40f95850bcb9725e451f29bbb3019884
:032f2068fad504f455d59b08c5f0bd53d9a295ce
:23b6792e3218744316fd495002f40a037c2e0095
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:b16b9e8cbdabffb16ea4140ce301cbd212be02ef
:bf404f1f16ae38c405a644f7f2a5a3de02e5d158
:2670385f49fb9f120f7cf843f211e3c620da8632
:f2e24eed69cdecfdc16ed844c315a295459441ff
:5cb5f8da286abd58aeab3bd6676e661d52ec2b5d
:399acd228adedc75aae4d2e35d1e7c26aa7089f3
:a518a8b1b5c3e80dee813df05e951d205d6ac48c
:645b6cb8840a78de7915765a5d45aa38ae66484a
:a1ff799fde1a32cf736787869b12d223c93c52d9
:39294193f046cf15442542705526228c60d70a6e

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=3
:HOSTNAME=Miguel.Fedora
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=26edab0d23cb0f4d38be61e600000012-1338756009.46251-485551231
:IMSETTINGS_MODULE=none
:USER=Miguel
:USERNAME=Miguel
:MAIL=/var/spool/mail/Miguel
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/Miguel/.local/bin:/home/Miguel/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/Miguel
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:LANG=es_ES.utf8
:GDM_LANG=es_ES.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/Miguel
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=Miguel
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-d2P4OPAjYK,guid=5c9026502e3abbc41d2e25aa00000035
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/Miguel
:XAUTHORITY=/var/run/gdm/auth-for-Miguel-3sstpa/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2081,unix/unix:/tmp/.ICE-unix/2081
:GNOME_KEYRING_CONTROL=/tmp/keyring-7SnMXx
:GPG_AGENT_INFO=/tmp/keyring-7SnMXx/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-7SnMXx/ssh
:LC_TIME=es_CL.utf8
:LC_NUMERIC=es_CL.utf8
:LC_MONETARY=es_CL.utf8
:LC_MEASUREMENT=es_CL.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gimp.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=5936
:BABL_TOLERANCE=0,002000
:PYTHONPATH=/usr/lib64/gimp/2.0/python
:DISPLAY=:1

event_log:
:2012-06-03-22:50:48> Analyzing coredump 'coredump'
:2012-06-03-22:50:53  Coredump references 72 debuginfo files, 10 of them are not installed
:2012-06-03-22:50:53  Configurando los repositorios yum
:2012-06-03-22:51:22  Buscando los paquetes necesarios en los repositorios
:2012-06-03-22:51:53  Packages to download: 2
:2012-06-03-22:53:41  Downloading 16.62Mb, installed size: 82.42Mb. Continue? YES
:2012-06-03-22:53:47  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:   8
:2012-06-03-22:53:52  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  14
:2012-06-03-22:53:57  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  18
:2012-06-03-22:54:03  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  22
:2012-06-03-22:54:08  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  26
:2012-06-03-22:54:14  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  30
:2012-06-03-22:54:21  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  34
:2012-06-03-22:54:26  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  37
:2012-06-03-22:54:31  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  40
:2012-06-03-22:54:37  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  44
:2012-06-03-22:54:43  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  48
:2012-06-03-22:54:48  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  51
:2012-06-03-22:54:54  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  55
:2012-06-03-22:55:00  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  59
:2012-06-03-22:55:05  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  62
:2012-06-03-22:55:11  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  65
:2012-06-03-22:55:18  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  69
:2012-06-03-22:55:24  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  73
:2012-06-03-22:55:30  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  76
:2012-06-03-22:55:36  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  80
:2012-06-03-22:55:43  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  84
:2012-06-03-22:55:49  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  88
:2012-06-03-22:55:55  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  92
:2012-06-03-22:56:01  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm:  96
:2012-06-03-22:56:06  Downloading (1 of 2) gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm: 100
:2012-06-03-22:56:06  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-06-03-22:50:49.11787/gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm
:2012-06-03-22:56:09  Caching files from unpacked.cpio made from gimp-debuginfo-2.6.12-1.fc16.x86_64.rpm
:2012-06-03-22:56:10  Downloading (2 of 2) libogg-debuginfo-1.3.0-1.fc16.x86_64.rpm: 100
:2012-06-03-22:56:10  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-06-03-22:50:49.11787/libogg-debuginfo-1.3.0-1.fc16.x86_64.rpm
:2012-06-03-22:56:10  Caching files from unpacked.cpio made from libogg-debuginfo-1.3.0-1.fc16.x86_64.rpm
:2012-06-03-22:56:10  Removing /tmp/abrt-tmp-debuginfo-2012-06-03-22:50:49.11787
:2012-06-03-22:56:10  All 72 debuginfo files are available
:2012-06-03-22:56:10  Generating backtrace
:2012-06-03-22:56:13  Backtrace is generated and saved, 18512 bytes
:2012-06-03-22:57:43> Element 'xsession_errors' saved
:2012-06-03-22:57:44> Smolt profile successfully saved

smolt_data:
:
:
:General
:=================================
:UUID: 56fb1a36-90cc-4c37-a4ec-3bf822860aeb
:SO: Fedora release 16 (Verne)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_ES.utf8
:Plataforma: x86_64
:BogoMIPS: 4390.33
:Fabricante de CPU: GenuineIntel
:Modelo de CPU: Intel(R) Core(TM) i3-2330M CPU @ 2.20GHz
:Paso del UCP: 7
:Familia de UCP: 6
:Número de Modelo de CPU: 42
:Número de CPUs: 4
:Velocidad del CPU: 2200
:Memoria del Sistema: 7895
:Intercambio (swap) del Sistema: 9951
:Vendedor: Dell Inc.
:Sistema: Inspiron N4050 Not Specified
:Factor de forma: Portable
:Kernel: 3.3.7-1.fc16.x86_64
:SELinux Habilitado: 1
:Política de SELinux: targeted
:SELinux Obligado: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(32902:7243:4136:1282) pci, None, PCI/ISA, HM67 Express Chipset Family LPC Controller
:(5348:18215:4136:18) pci, wl, NETWORK, BCM4313 802.11b/g/n Wireless LAN Controller
:(32902:278:4136:1282) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4136:1282) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4136:1282) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4136:1282) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7198:4136:1282) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:7200:4136:1282) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4136:1282) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4332:33078:4136:1282) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:7171:4136:1282) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4136:1282) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4136:1282) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4136:1282) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4136:1282) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_miguel-lv_root / ext4 4096 4096 13092026 10446046 10315024 3276800 3052135 3052135
:/dev/sda2 /boot ext4 1024 1024 508745 409673 384073 128016 127779 127779
:/dev/mapper/vg_miguel-lv_home /home ext4 4096 4096 106191460 41149518 35834139 26583040 26350438 26350438
:

xsession_errors:
:*** glibc detected *** /usr/lib64/gimp/2.0/plug-ins/warp: malloc(): memory corruption: 0x00007f1c188e12c0 ***
:/usr/lib64/gimp/2.0/plug-ins/warp(+0x5c7f)[0x7f1c1758cc7f]
:/usr/lib64/gimp/2.0/plug-ins/warp(+0x768f)[0x7f1c1758e68f]
:/usr/lib64/gimp/2.0/plug-ins/warp(+0x301d)[0x7f1c1758a01d]
:7f1c17587000-7f1c17590000 r-xp 00000000 fd:01 534867                     /usr/lib64/gimp/2.0/plug-ins/warp
:7f1c1778f000-7f1c17790000 rw-p 00008000 fd:01 534867                     /usr/lib64/gimp/2.0/plug-ins/warp
Comment 1 Miguel González 2012-06-03 22:58:55 EDT
Created attachment 589009 [details]
File: backtrace
Comment 2 Miguel González 2012-06-03 23:00:45 EDT
Created attachment 589010 [details]
File: coredump
Comment 3 Miguel González 2012-06-03 23:00:49 EDT
Created attachment 589011 [details]
File: maps
Comment 4 Miguel González 2012-06-03 23:00:51 EDT
Created attachment 589012 [details]
File: dso_list
Comment 5 Nils Philippsen 2012-06-04 07:20:40 EDT
What were you doing when this happened? I mean: it's clear that you used the warp plug-in, but what exactly did you do with it? Can you reproduce this crash?

Note You need to log in before you can comment on or make changes to this bug.